View Issue Details

IDProjectCategoryView StatusLast Update
0006953Talermerchant backend API (C)public2021-08-24 16:22
Reportersebasjm Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006953: Add verifier for order.products content in order creation
Descriptionfile: taler-merchant-httpd_private-post-orders
function: merge_inventory
line: 1194

function is checking that order.products is an array but deeper checks are needed.

Order follow this spec https://docs.taler.net/core/api-merchant.html#tsref-type-ContractTerms
Product json must match this spec https://docs.taler.net/core/api-merchant.html#tsref-type-Product

in function execute_order at line 392
check_products is called but is not complete
if there is an invalid order the check will not able to distinguish if the order came from the database or from the request.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2021-07-23 13:43 sebasjm New Issue
2021-07-23 13:43 sebasjm Status new => assigned
2021-07-23 13:43 sebasjm Assigned To => sebasjm
2021-08-01 15:12 Christian Grothoff Assigned To sebasjm => Christian Grothoff
2021-08-01 15:12 Christian Grothoff Target Version git (master) => 0.8
2021-08-04 19:25 Christian Grothoff Status assigned => resolved
2021-08-04 19:25 Christian Grothoff Resolution open => fixed
2021-08-04 19:25 Christian Grothoff Fixed in Version => 0.8
2021-08-24 16:22 Christian Grothoff Status resolved => closed